Get all responses
GET
/v2/tenant/{tenantKey}/registered
const url = 'https://sender.api.kivra.com/v2/tenant/example/registered';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://sender.api.kivra.com/v2/tenant/example/registered \ --header 'Authorization: Bearer <token>'Get the responses of all registered letters that have been signed or expired. The response key can then be used to fetch the response details of each registered letter and also to delete the response.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”tenantKey
required
string format: hexadecimal
The unique key for a tenant for whom the registered letters belong to.
Responses
Section titled “Responses”List of response statuses associated with registered letters that have been either signed or expired.
Media typeapplication/json
Array<object>
RegisteredLetterResponseStatusDetailobject
key
Response key
string
status
RegisteredLetterResponseStatus
Status of the registered letter response.
string
Example
[ { "status": "signed" }]Not authorized to make the request
No registered letter responses